From a90b9213b12e59bde0b839e50616a2fe2e3c02f1 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Fri, 21 Jun 2019 13:04:18 +0200
Subject: [PATCH] hashboot: update to 0.9.14

---
 srcpkgs/hashboot/template | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/srcpkgs/hashboot/template b/srcpkgs/hashboot/template
index 0fa582d988d..cfa8f2b043d 100644
--- a/srcpkgs/hashboot/template
+++ b/srcpkgs/hashboot/template
@@ -1,24 +1,24 @@
 # Template file for 'hashboot'
 pkgname=hashboot
-version=0.9.13
+version=0.9.14
 revision=1
 archs=noarch
+wrksrc=${pkgname}
 hostmakedepends="asciidoc"
-short_desc="Check integrity of files in /boot, mbr & (mostly) core-/libreboot bios"
+short_desc="Check integrity of files in /boot, mbr & (mostly) coreboot bios"
 maintainer="teldra <teldra@rotce.de>"
-license="Hugware"
-homepage="https://github.com/tastytea/hashboot"
-distfiles="${homepage}/archive/${version}.tar.gz"
-checksum=ce159458e1c4b1486511da1f8f02d8c45398cd707757491ce84f4f107d68567a
+license="custom: Hugware"
+homepage="https://schlomp.space/tastytea/hashboot"
+distfiles="https://schlomp.space/tastytea/hashboot/releases/download/${version}/${pkgname}-${version}.tar.gz"
+checksum=3c355017249b7d5b94f44db26215a9ebe6426109e362f6549cfeb2ef50ca47f0
 
 do_build() {
-	cd ${wrksrc}
 	./build_manpage.sh
 }
 
 do_install() {
-	vinstall kernel-hook 755 etc/kernel.d/post-install 99-hashboot
-	vinstall kernel-hook 755 etc/kernel.d/post-remove 99-hashboot
+	vinstall hooks/kernel-postinst 755 etc/kernel.d/post-install 99-hashboot
+	vinstall hooks/kernel-postinst 755 etc/kernel.d/post-remove 99-hashboot
 	vinstall init/voidlinux-coreservice 644 etc/runit/core-services 04-hashboot.sh
 	vman hashboot.1
 	vbin hashboot
